package com.atlassian.bitbucket.scm.compare;

import com.atlassian.bitbucket.scm.AbstractChangesCommandParameters;

import java.util.Set;

public class CompareChangeCommandParameters extends AbstractChangesCommandParameters  {

    protected CompareChangeCommandParameters(int maxChanges, Set<String> paths) {
        super(maxChanges, paths);
    }

    public static class Builder extends AbstractBuilder<Builder> {

        public Builder() {
        }

        public CompareChangeCommandParameters build() {
            return new CompareChangeCommandParameters(maxChanges, paths.build());
        }

        @Override
        protected Builder self() {
            return this;
        }
    }

}
